View Issue Details

IDProjectCategoryView StatusLast Update
0015739LazarusIDEpublic2010-03-20 21:02
ReporterStefan MüllerAssigned ToPaul Ishenin 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015739: Lazarus IDE crashes when loading compiler settings from a file
DescriptionSVN revision 23690
I select "Projectsettings" from the menu, then go to "Compilersettings". Then I press the "..."-button (load or save compiler settings) and select a file to load the settings from (it does not depend on whether I selected one from the top list or by clicking the lower button). When I now press "Okay" I get an Access Violation. This happens on Windows and Linux and I think it persists for some time (sorry, I can't tell when it last worked or if ever). I append a sample compiler configuration file saved by the current build, that crashes Lazarus.
Thanks in advance
TagsNo tags attached.
Fixed in Revision23974,23975
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files
  • compilersettings_win_debug (958 bytes)
    <?xml version="1.0"?>
    <CONFIG>
      <CompilerOptions>
        <Version Value="8"/>
        <PathDelim Value="\"/>
        <SearchPaths>
          <UnitOutputDirectory Value="obj"/>
          <SrcPath Value="$(LazarusDir)\lcl\;$(LazarusDir)\lcl\interfaces\$(LCLWidgetType)\"/>
        </SearchPaths>
        <Parsing>
          <SyntaxOptions>
            <CStyleOperator Value="False"/>
            <UseAnsiStrings Value="True"/>
          </SyntaxOptions>
        </Parsing>
        <CodeGeneration>
          <SmartLinkUnit Value="True"/>
        </CodeGeneration>
        <Linking>
          <Debugging>
            <GenerateDebugInfo Value="True"/>
            <UseHeaptrc Value="True"/>
          </Debugging>
          <LinkSmart Value="True"/>
          <Options>
            <Win32>
              <GraphicApplication Value="True"/>
            </Win32>
          </Options>
        </Linking>
        <Other>
          <CustomOptions Value="
    "/>
          <CompilerPath Value="$(CompPath)"/>
        </Other>
      </CompilerOptions>
    </CONFIG>
    

Relationships

related to 0015625 closedPaul Ishenin IDE crashes after comfirmation of loaded compiler options 

Activities

2010-02-11 14:38

 

compilersettings_win_debug (958 bytes)
<?xml version="1.0"?>
<CONFIG>
  <CompilerOptions>
    <Version Value="8"/>
    <PathDelim Value="\"/>
    <SearchPaths>
      <UnitOutputDirectory Value="obj"/>
      <SrcPath Value="$(LazarusDir)\lcl\;$(LazarusDir)\lcl\interfaces\$(LCLWidgetType)\"/>
    </SearchPaths>
    <Parsing>
      <SyntaxOptions>
        <CStyleOperator Value="False"/>
        <UseAnsiStrings Value="True"/>
      </SyntaxOptions>
    </Parsing>
    <CodeGeneration>
      <SmartLinkUnit Value="True"/>
    </CodeGeneration>
    <Linking>
      <Debugging>
        <GenerateDebugInfo Value="True"/>
        <UseHeaptrc Value="True"/>
      </Debugging>
      <LinkSmart Value="True"/>
      <Options>
        <Win32>
          <GraphicApplication Value="True"/>
        </Win32>
      </Options>
    </Linking>
    <Other>
      <CustomOptions Value="
"/>
      <CompilerPath Value="$(CompPath)"/>
    </Other>
  </CompilerOptions>
</CONFIG>

Vincent Snijders

2010-03-12 11:25

manager   ~0035311

Maybe something went wrong when converting this dialog to frames or when merging it with the project options.

Paul Ishenin

2010-03-13 17:29

manager   ~0035453

Please test and close if ok.

Stefan Müller

2010-03-20 21:02

reporter   ~0035840

Thank you, it works perfectly fine.

Issue History

Date Modified Username Field Change
2010-02-11 14:38 Stefan Müller New Issue
2010-02-11 14:38 Stefan Müller File Added: compilersettings_win_debug
2010-02-11 14:38 Stefan Müller Widgetset => Win32/Win64
2010-03-12 11:25 Vincent Snijders LazTarget => 0.9.30
2010-03-12 11:25 Vincent Snijders Note Added: 0035311
2010-03-12 11:25 Vincent Snijders Assigned To => Paul Ishenin
2010-03-12 11:25 Vincent Snijders Status new => confirmed
2010-03-12 11:25 Vincent Snijders Target Version => 0.9.30
2010-03-12 12:55 Vincent Snijders Relationship added related to 0015625
2010-03-13 17:29 Paul Ishenin Fixed in Revision => 23974
2010-03-13 17:29 Paul Ishenin Status confirmed => resolved
2010-03-13 17:29 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-03-13 17:29 Paul Ishenin Resolution open => fixed
2010-03-13 17:29 Paul Ishenin Note Added: 0035453
2010-03-13 17:44 Paul Ishenin Fixed in Revision 23974 => 23974,23975
2010-03-20 21:02 Stefan Müller Status resolved => closed
2010-03-20 21:02 Stefan Müller Note Added: 0035840